.section .text
.global _start
.type _start, @function

_start:
.option push
.option norelax
    la gp, __global_pointer$
.option pop

    /* Hazard3 init.S has already installed the bootstrap stack. */
    la a0, __bss_start
    la a1, __bss_end
1:
    bgeu a0, a1, 2f
    sb zero, 0(a0)
    addi a0, a0, 1
    j 1b
2:
    call main
    tail _exit

.size _start, .-_start
